<?php

	require("_init.php");
	require("_funcdb.php");
	require("_funcstd.php");
	require("_connect2.php");
	require("_basicshow.class.php");
	require("_login.class.php");

	$login = new gfsoftlogin(1,false);

	@mkdir("./backup", 0755);

	if ( strpos($_SERVER['HTTP_HOST'],"localhost") === false ) {
		$backupFile = 'gfpay' . date("Ymd") . '.sql.gz';
		$command = "mysqldump --opt -v -h localhost -u " . DATABASE_USER . ( DATABASE_PASS != "" ? " -p" . DATABASE_PASS : "" ) . " " . DATABASE_NAME . " | gzip > backup/$backupFile";
	} else {
		$curdir = getcwd();
		$htdocspos = strpos($curdir,'htdocs');
		$backupFile = 'gfpay' . date("Ymd") . '.sql';
		$command = substr($curdir,0,$htdocspos) . "mysql/bin/mysqldump --opt -v -h localhost -u " . DATABASE_USER . ( DATABASE_PASS != "" ? " -p" . DATABASE_PASS : "" ) . " " . DATABASE_NAME . " > backup/$backupFile";
	}

	system($command);

	$_SESSION['filedownload'] = 'backup/' . $backupFile;

	$outputhtml = new gfbasicshow( "", false, "Backup", 400 );
	$outputhtml->tombolmenu = true;

//	$outputhtml->bodyadd( '<div id="Info" style="margin:0;padding:0;position:absolute;left:188px;top:86px;width:750px;height:450px;" title="">' );
	$outputhtml->bodyadd( '	<div id="Text1">' );
	$outputhtml->bodyadd( '		<font style="font-size:11px" color="#000000" face="Verdana"><b>Backup Successfully, File backup : ' . $backupFile . ' <br>' );
	$outputhtml->bodyadd( '		<br>' );
	$outputhtml->bodyadd( '		<a href="filedownload.php" target="_self">Download this file backup</a></b></font>' );
	$outputhtml->bodyadd( '	</div>' );
//	$outputhtml->bodyadd( '</div>' );

	$outputhtml->output();
?>